import { w3cwebsocket as W3CWebSocket } from 'websocket';
import { SocketClient } from './socket_client';
export declare class WebSocketClient {
    private readonly self;
    private readonly host;
    private readonly port;
    private readonly protocol;
    private readonly options;
    client: W3CWebSocket;
    constructor(self: SocketClient, host: string, port: number, protocol: string, options: any);
    connect(): Promise<unknown>;
    close(): Promise<void>;
    send(data: string): void;
}
