interface ParserResult {
    code: number;
    buffer: string;
}
export declare type MessageParserCallback = (body: string, n?: number) => void;
export declare type RecursiveParser = (n: number, buffer: string, callback: MessageParserCallback) => ParserResult;
export declare class MessageParser {
    private buffer;
    private readonly callback;
    private readonly recursiveParser;
    constructor(callback: MessageParserCallback);
    run(chunk: string): void;
}
export {};
