/// <reference types="node" />
import { SocketClient } from './socket_client';
import tls from 'tls';
import net from 'net';
declare type Client = tls.TLSSocket | net.Socket;
export declare class TCPSocketClient {
    private readonly self;
    private readonly host;
    private readonly port;
    private readonly protocol;
    private readonly options;
    client: Client;
    constructor(self: SocketClient, host: string, port: number, protocol: string, options: any);
    connect(): Promise<unknown>;
    close(): Promise<void>;
    send(data: string): void;
}
export {};
